Skip to main content
Alerting & Response/Alert Channels & Integrations
POSTAlertingSince 1.0SynchronousAuth Required

TestAlertChannel

Test a notification channel by sending a test message

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    UUID of the channel to test

Responses

200 OK

On success, this API returns the following response structure.

  • successBoolean

    Whether the test message was delivered successfully

    Example: true

  • messageString

    Result message or error description

    Example: Test message delivered successfully

  • durationMsString

    Time taken for the test in milliseconds

    Example: 250

Endpoint

POST/api/v1/alerting/channels/{uuid}/test

/api/v1/alerting/channels/{uuid}/test

Operation ID

TestAlertChannel

Permalink

Request Example

curl -X POST '{host}/api/v1/alerting/channels/{uuid}/test' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{}'

Response Example

200
{
  "success": true,
  "message": "Test message delivered successfully",
  "durationMs": 250
}

Change History

This API has no change history records yet.

View all change history